<?php
require 'vendor/autoload.php';

class Database {
    private $mobsCollection;
	private $itemCollection;
	private $biomesCollection;

    public function __construct() {
        $client = new MongoDB\Client("mongodb://localhost:27017"); // Oder MongoDB Atlas URI
        $this->mobsCollection = $client->minecraftdb->mobs;
        $this->itemCollection = $client->minecraftdb->items;
        $this->biomesCollection = $client->minecraftdb->biomes;
    }

    public function getMobsCollection() {
        return $this->mobsCollection;
    }
	public function getItemsCollection() {
        return $this->itemCollection;
    }
	public function getBiomesCollection() {
        return $this->biomesCollection;
    }
}
?>
